ConfigPriority: "global" # user, global
UpdaterMode: "Updater" # Downloader, Updater, UpdaterAgent
StrictMode: false # Mode to always strictly preserve one of the UpdaterModes
UpdateIndexes: []
IndexDBLogsExcludeList: ["/api/atp-agent/v1/update_config"] # List of indexes to exclude when logging IndexDB contents
ConnectionTimeout: 120 # maximum time in seconds that connection phase takes
DownloadTimeout: 3600 # maximum time in seconds that download of package phase takes
IndexDownloadTimeout: 600 # maximum time in seconds that download of index takes
UpdateServerRetryInterval: 15 # how often updater check indexes. minutes.
CacheSize: 1048576000
CacheTTL: 50 # days

DhtBootstrap: "" # List of DHT <IP:PORT> addresses to manually bootstrap BitTorrent peers: "<host-1>:<port-1>,<host-2>:<port-2>,..."
DhtListen: 0.0.0.0:6888 # BitTorrent protocol, DHT interface and port to listen to (applicable both for Updater and UpdaterAgent modes)
DhtLocalNetworkOnly: true # Restrict DHT to only look for nodes on the local network
UpdaterAgentListen: 0.0.0.0:18018 # Internal REST API, uses for communication between Updater and UpdaterAgent
UpdaterListen: 127.0.0.1:0 # Local REST API, uses for communication between Updater and AtpAgent

aakore:
    http: 127.0.0.1:9999 # Aakore REST API address

Logger:
    RotationSize: 10485760
    MaxFiles: 512
    MinFreeSpace: 104857600
    MaxSize: 104857600
    NamePattern: '%Y%m%d_%H%M%S_%5N.log'
    CompressionActive: true
    GlobalLogLevel: trace
    ModuleLogLevels:
        agent: warning
        logger: warning
    LogOutputConfig:
        - destination: "file"
          format: "txt"

AkkLib:
    LogLevel: info

dumps:
    enabled: false

Crow:
    Logger:
        LogLevel: info
        Enabled: true
